Subject: Re: [MeeGo-Dev][PATCH v3] Topcliff: Update PCH_CAN driver to 2.6.35

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 06 Oct 2010 11:12:52 +0200

On 10/06/2010 05:09 AM, David Miller wrote:
> From: "Masayuki Ohtake" <masa-korg-ECg8zkTtlr0C6LszWs/[email-masked]>
> Date: Wed, 6 Oct 2010 12:07:15 +0900
> 
>> Does your mail mean, for accepting upstream, NAPI is essential for
>> CAN driver ?
> 
> It is up to the CAN maintainers :-)

Well, our SJA1000 reference driver does still not use NAPI. But NAPI is
for CAN especially useful to avoid the infamous *bus error irq
flooding*, which may hang low end systems if the interrupts are handled
in the IRQ context. Ohtake, if your system can handle well such CAN bus
error irq storms at 1MB/s, then NAPI is *not* a must to have. Anyway, as
you are at it, I also suggest to use NAPI right from the beginning.

Wolfgang.